Subject: RE: Proxy Server Inconsistencies

From: "Donovan, Steven R. (MCI)" <[email-masked]>
Date: Fri, 29 Jan 1999 14:24:51 -0000

Sean Olson wrote:
> > 
> > Well, at least we are down from three to two options.
> > 
> > One point on the re-Invite method is that clients would be required to
> also
> > refresh the session timer, even if there was no stateful proxy involved
> in
> > the session signaling.  The PING method would only be used when a
> stateful
> > proxy was involved.
> > 
> If there is no stateful proxy involved, then there is no one to insert
> a "Keep-alive:" header and the client need not keep a session timer but
> may
> instead rely on the media stream for liveness tests. 
> 
	It has been my assumption that the client (UAC) would be responsible
for inserting a session-expires header in the original and subsequent
INVITES.

> > One method to avoid the malicious proxy is to allow the Pinging proxy to
> > PING in both directions.  It is unlikely that a malicious proxy would
> exist
> > in both directions.
> > 
> A pinging proxy MUST ping in both directions to determine that a both
> halves
> of the call are up.
> 
> > Any suggestions on how we should pursue selecting one option over the
> other?
> > 
> > Steve
> >
> 
> Both options require approximately the same complexity. The PING method
> has the advantage of potentially making things easier for the client
> since the client would only need to respond to PING requests and would not
> need to maintain an internal session timer ( though there are good reasons
> for doing so anyway ).
> 
> Sean

---

From: Jonathan Rosenberg <[email-masked]>
Date: Fri, 29 Jan 1999 10:13:10 -0500

> Donovan, Steven R. (MCI) wrote:
> 
> Sean Olson wrote:
> 
>      >
>      > One point on the re-Invite method is that clients would be
>      required to also
>      > refresh the session timer, even if there was no stateful proxy
>      involved in
>      > the session signaling.  The PING method would only be used when
>      a stateful
>      > proxy was involved.
>      >
>      a "Keep-alive:" header and the client need not keep a session
>      timer but may
>      It has been my assumption that the client (UAC) would be
>      responsible for inserting a session-expires header in the
>      original and subsequent INVITES.

There was mention that a proxy could also insert this header (or modify
its value), and the final result would be reflected in the response.

-Jonathan R.

-- 
Jonathan D. Rosenberg                       Lucent Technologies
Member of Technical Staff                   101 Crawfords Corner Rd.
High Speed Networks Research                Holmdel, NJ 07733
FAX:   (732) 834-5379                       Rm. 4C-526
EMAIL: [email-masked]
URL: http://www.cs.columbia.edu/~jdrosen